import { html as c } from "lit";
import { property as i } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, h = Object.getOwnPropertyDescriptor, p = (n, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? h(t, s) : t, a = n.length - 1, o; a >= 0; a--)
    (o = n[a]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && g(t, s, e), e;
};
let l = class extends v {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--planeLarge", this.class = "c-pieIcon c-pieIcon--planeLarge", this.name = "IconPlaneLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--planeLarge"><path d="m20.786 28.583-2.905-.972a6 6 0 0 0-3.762 0l-2.905.971-.062-2.143.455-.263a1.75 1.75 0 0 0 .875-1.531v-3.894l-7.455 1.313V18.45a2.21 2.21 0 0 1 1.13-1.916l6.343-3.868V7.25a3.5 3.5 0 1 1 7 0v5.416l6.352 3.894a2.17 2.17 0 0 1 1.103 1.89v3.614L19.5 20.75v3.894a1.75 1.75 0 0 0 .875 1.531l.455.263zM16 25.555a7.8 7.8 0 0 1 1.951.254 3.5 3.5 0 0 1-.201-1.164v-6.02l7.455 1.321V18.45a.45.45 0 0 0-.228-.385L17.75 13.69V7.25a1.75 1.75 0 0 0-3.5 0v6.405L7.057 18.03a.46.46 0 0 0-.262.402v1.532l7.455-1.339v5.985c0 .396-.069.79-.201 1.164a7.8 7.8 0 0 1 1.95-.219"></path></svg>`;
  }
};
p([
  i({ type: String, reflect: !0 })
], l.prototype, "size", 2);
p([
  i({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = p([
  f("icon-plane-large")
], l);
export {
  l as IconPlaneLarge
};
